Subject: Re: [6lo] I-D Action: draft-li-6lo-native-short-address-01.txt

From: Luigi Iannone <[email-masked]>
Date: Wed, 9 Mar 2022 14:07:05 +0100

Hi Carsten, All,

This is a follow up of previous feedback.

We submitted an update with several improvements, namely:
- Even stronger applicability scope right at the beginning of the document;
- Clarification in the architectural overview;
- Detailed the address assignment procedure (including the definition of two ND options)
- Revised and detailed the different roles of the node (root/forwarder/leaf).

We welcome any further feedback on this latest version.

Thanks

Ciao

L.

Sent from my iPad

> On 17 Feb 2022, at 13:08, Luigi Iannone <[email-masked]> wrote:
> 
> Hi Carsten,
> 
> Thanks for your mail.
> Please see inline.
> 
> Ciao
> 
> L.
> 
> 
>> On 17 Feb 2022, at 11:11, Carsten Bormann <[email-masked]> wrote:
>>> On 2021-12-14, at 10:09, Luigi Iannone <[email-masked]> wrote:
>>> While we believe that the document is becoming mature, we still welcome any feedback people can send us.
>> I haven’t read the new version,
> You should. We did a lot of improvements ;-)
> 
>> but I stick with the observation that the problem/opportunity addressed is already solved with 6lo header compression (and will be more so once we have SCHC header compression in 6lo),
> Yes, the 6lo header compression is suitable in general for all IoT scenarios. However, this draft is targeting at scenarios and applications with static network topology and stable network connections. 
> In those cases, the NSA could bring in even shorter packet header (addressing) and _more_ importantly much simpler (stateless) forwarding mechanism, which will further saves the power consumption of the IoT system.
> 
>> and NSA does not have the same desirable properties with respect to preserving IPv6 semantics that the header compression solutions have.
> Can you articulate a bit more? Exactly which “desirable property” is present in HC but not in NSA.
> I can provide an example of the other way around, NSA provides stateless forwarding, HC does not do that.
> The new version of the document (read it :-) ) provides all the details on the operations to be performed on the gateway to translate from NSA to IPv6 and vice versa. 
> 
>> Right now, I would like us to focus on making the SCHC solution really good.
> I am also willing to help, but one does not exclude the other...
> 
>> In the end, that may not look very different on the wire from NSA (as far as addresses are concerned — SCHC of course can do more).
> We are coding the simulator exactly to quantify the differences. In certain scenarios NSA provide some advantage.
> But do not forget the second important property: stateless forwarding, we believe it is not negligible.
> 
> Ciao
> 
> L.  
> 
> 
> 
>> Grüße, Carsten